// (c) 2018, SAS Institute Inc.
jQuery.sap.declare("sas.dm.commons.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.dm.commons
 * @public
 */

// library dependencies
jQuery.sap.require("sap.ui.core.library");
jQuery.sap.require("sap.ui.layout.library");
jQuery.sap.require("sap.ui.commons.library");
jQuery.sap.require("sas.hc.ui.core.library");
jQuery.sap.require("sas.hc.ui.commons.library");
jQuery.sap.require("sas.dm.commons.Define");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.dm.commons",
    noLibraryCSS: true,
    dependencies : ["sap.ui.core", "sap.ui.layout", "sap.ui.commons", "sas.hc.ui.core","sas.hc.ui.commons"],
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.dm.commons.components.ActionButton",
        "sas.dm.commons.components.ActionListMenu",
        "sas.dm.commons.components.ActionListToolbar",
        "sas.dm.commons.components.ActionMenuItem",
        "sas.dm.commons.context.Context",
        "sas.dm.commons.context.ContextAwarePMController",
        "sas.dm.commons.context.ContextStatus",
        "sas.dm.commons.controller.base.MasterControllerBase",
        "sas.dm.commons.controller.base.PMControllerBase",
        "sas.dm.commons.declare.wrapper.JSONListBindingWrapper",
        "sas.dm.commons.declare.wrapper.JSONModelWrapper",
        "sas.dm.commons.declare.wrapper.JSONPropertyBindingWrapper",
        "sas.dm.commons.declare.wrapper.JSONTreeBindingWrapper",
        "sas.dm.commons.declare.wrapper.RouterWrapper",
        "sas.dm.commons.declare.wrapper.ViewsWrapper",
        "sas.dm.commons.declare.wrapper.XMLViewWrapper",
        "sas.dm.commons.model.ErrorResponse",
        "sas.dm.commons.model.base.GeneralPurposeBindable",
        "sas.dm.commons.model.base.SerializableModel",
        "sas.dm.commons.model.factory.DateDeserializerFactory",
        "sas.dm.commons.model.factory.DeserializerFactory",
        "sas.dm.commons.routing.Router",
        "sas.dm.commons.routing.Views",
        "sas.dm.commons.transport.Deserializer",
        "sas.dm.commons.transport.SerializableModelRegistry",
        "sas.dm.commons.transport.Transporter",
        "sas.dm.commons.util.Action",
        "sas.dm.commons.util.ActionUtils",
        "sas.dm.commons.util.ArrayUtils",
        "sas.dm.commons.util.FilterProcessor",
        "sas.dm.commons.util.IconUtils",
        "sas.dm.commons.util.MenuAction",
        "sas.dm.commons.util.NestedAction",
        "sas.dm.commons.util.ObjectUtils",
        "sas.dm.commons.util.ParsedGetterSetter",
        "sas.dm.commons.util.SharedProperties",
        "sas.dm.commons.util.StatusWatcher",
        "sas.dm.commons.util.StringUtils",
        "sas.dm.commons.util.binding.BindableArray",
        "sas.dm.commons.util.binding.BindableArrayBindingHandle",
        "sas.dm.commons.util.binding.BindingHandle",
        "sas.dm.commons.util.binding.BindingUtils",
        "sas.dm.commons.util.binding.GeneralPurposeBinding",
        "sas.dm.commons.util.binding.GeneralPurposeListBinding",
        "sas.dm.commons.util.binding.GeneralPurposeTreeBinding",
        "sas.dm.commons.util.binding.PropertyInArrayBindingHandle",
        "sas.dm.commons.util.binding.Unbindable",
        "sas.dm.commons.view.base.ViewControllerBase",
        "sas.dm.commons.view.base.XMLViewBase"
    ],
    elements : [
    ],
    version : "303001.0.0.20191010103825_f0bdn33p"});